Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.TextStatus

    java.lang.Object
      java.lang.Enum<Participant.TextStatus>
          com.skype.api.Participant.TextStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Participant.TextStatus>

Enclosing class:
  Participant

    public static enum Participant.TextStatus

extends java.lang.Enum<Participant.TextStatus>
implements EnumConverting

Recognized values for the P_TEXT_STATUS property. The P_TEXT_STATUS property has two uses. Firstly, you can use it to implement typing indicators in your UI, to notify the local user that an incoming chat message from this Participant is imminent. To set the P_TEXT_STATUS value, so that remote client UIs can display the local user's typing indicator in their UI, use Conversation.SetMyTextStatusTo method. Transmission of P_TEXT_STATUS updates to remote participants of conversations is controlled via SETUPKEY_DISABLE_CHAT_ACTIVITY_INDICATION setup key. Secondly, the TEXT_NA value enables you to detect participants who are running clients with no chat capability.

Enum Constant Summary
`READING` Participant is currently not typing.
`TEXT_NA` Text status is not applicable as the participant is using a Skype client that does not support chat (for example: voice-only USB phones).
`TEXT_UNKNOWN` Fallback state in case the text status is not (yet) deternmined.
`WRITING` Participant is currently typing.
`WRITING_AS_ANGRY` This state should be set when following two conditions are true: - interval between keypresses are less than 20 ms; - at least one of the keys adjacent to current key are pressed down.
`WRITING_AS_CAT` The "Cat on keyboard detection" algorthm in Skype is implemented in the UI level, and as such is not present in the SkypeKit API.

Field Summary
`static int` | `READING_VALUE`
`static int` | `TEXT_NA_VALUE`
`static int` | `TEXT_UNKNOWN_VALUE`
`static int` | `WRITING_AS_ANGRY_VALUE`
`static int` | `WRITING_AS_CAT_VALUE`
`static int` | `WRITING_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Participant.TextStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Participant.TextStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.TextStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT_UNKNOWN

    public static final Participant.TextStatus TEXT_UNKNOWN

  Fallback state in case the text status is not (yet) deternmined.

### TEXT_NA

    public static final Participant.TextStatus TEXT_NA

  Text status is not applicable as the participant is using a Skype client that does not support chat (for example: voice-only USB phones).

### READING

    public static final Participant.TextStatus READING

  Participant is currently not typing.

### WRITING

    public static final Participant.TextStatus WRITING

  Participant is currently typing.

### WRITING_AS_ANGRY

    public static final Participant.TextStatus WRITING_AS_ANGRY

  This state should be set when following two conditions are true: - interval between keypresses are less than 20 ms; - at least one of the keys adjacent to current key are pressed down.

### WRITING_AS_CAT

    public static final Participant.TextStatus WRITING_AS_CAT

  The "Cat on keyboard detection" algorthm in Skype is implemented in the UI level, and as such is not present in the SkypeKit API. Should you wish to implement similar algorthm in your own UI, you can get the basic logic from the PawSense FAQ - http://www.bitboost.com/pawsense/pawsense-faq.html

Field Detail

### TEXT_UNKNOWN_VALUE

    public static final int TEXT_UNKNOWN_VALUE

See Also:
  Constant Field Values

### TEXT_NA_VALUE

    public static final int TEXT_NA_VALUE

See Also:
  Constant Field Values

### READING_VALUE

    public static final int READING_VALUE

See Also:
  Constant Field Values

### WRITING_VALUE

    public static final int WRITING_VALUE

See Also:
  Constant Field Values

### WRITING_AS_ANGRY_VALUE

    public static final int WRITING_AS_ANGRY_VALUE

See Also:
  Constant Field Values

### WRITING_AS_CAT_VALUE

    public static final int WRITING_AS_CAT_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Participant.TextStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.TextStatus c : Participant.TextStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.TextStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Participant.TextStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.